It looks like you're offline.
Open Library logo

Upcoming Lists API → Diff

Added
Modified
Removed
Not changed
Revision 12 by Jayden T370 March 11, 2023
Revision 17 by raybb October 15, 2023
title Upcoming Lists API Lists API
body
0 This is a draft of upcoming lists API. **This is still under development, and could change at any time.** 0 * [Create a list](#create-list)
1 1 * [Add/delete a seed from a list](#edits-seed)
2 * [Get Lists of a user](#users-lists) 2 * [Delete a list](#delete-list)
3 * [Get lists of a seed](#seed-lists) 3 * [Update a list](#update-list) -- not implemented
4 * [Search Lists](#search-lists) 4 * [Get a user's lists](#users-lists)
5 * [Create a List](#create-list) 5 * [Get lists containing a seed](#seed-lists)
6 * [Update a list](#update-list)
7 * [Get seeds of a list](#read-list) 6 * [Get seeds of a list](#read-list)
8 * [Add/delete a seed from a list](#edits-seed) 7 * [Get editions of a list](#get-editions) (for works use the seeds API above)
9 * [Get editions of a list](#get-editions)
10 * [Get subjects of a list](#get-subjects) 8 * [Get subjects of a list](#get-subjects)
11 9 * [Search lists](#search-lists)
12 10
13 <a name="users-lists">&nbsp;</a> 11 <a name="users-lists">&nbsp;</a>
14 ## Get Lists of a user 12 ## Get a user's lists
15 15
... ...
49 <a name="seed-lists">&nbsp;</a> 49 <a name="seed-lists">&nbsp;</a>
50 ## Get lists of a seed 48 ## Get lists containing a seed
51 51
... ...
83 <a name="search-lists">&nbsp;</a> 83 <a name="search-lists">&nbsp;</a>
84 ## Search Lists 82 ## Search lists
85 85
... ...
118 <a name="create-list">&nbsp;</a> 118 <a name="create-list">&nbsp;</a>
119 ## Create a List 117 ## Create a list
120 120
... ...
131    } 131    }
130
131 Response:
132
133    HTTP/1.1 201 Created
134    Location: http://openlibrary.org/user/anand/lists/OL1L
132 132
... ...
181 181
185 <a name="delete-list">&nbsp;</a>
186 ## Delete a list
187
188 Request:
189
190    POST /people/anand/list/OL1L/delete.json
191    Content-Type: application/json
192
182 <a name="update-list">&nbsp;</a> 182 <a name="update-list">&nbsp;</a>
... ...
206    {"key": "/people/anand/list/OL1L", "revision": 3} 206    {"key": "/people/anand/list/OL1L", "revision": 3}
207     218
208     219 <a name="read-list">&nbsp;</a>
209 ## Get seeds of a list 209 ## Get seeds of a list
... ...
253 253
254 <a name="edits-seeds>&nbsp;</a> 265 <a name="edits-seeds">&nbsp;</a>
255 ## Add/delete a seed from a list 266 ## Add/delete a seed from a list
267
268 - Add seed(s) to a list
269
270 Request:
271
272    POST /people/anand/list/OL1L/seeds HTTP/1.1
273    Content-Type: application/json
274    
275    {
276        "add": [
277            {key: "/books/OL25083437M"},
278            {key: "/books/OL24375501M"}
279        ]
280    }
281
282 Response:
283
284    HTTP/1.1 200 OK
285    Content-Type: application/json
286    
287    {"key": "/people/anand/list/OL1L", "revision": 3}
288
289 - Delete seed(s) from a list
256 256
... ...
405    } 405    }
440
441 <a name="edits-seed">&nbsp;</a>